xquery version "3.0";

declare option exist:serialize "method=xhtml media-type=application/xhtml+html";

declare function local:magic($node){
for $node in $node return
    typeswitch($node)
        case element(LI) return local:magic($node/node())
        case element(I) return local:magic($node/node())
        case element(a) return <div><a href="{$node/@href}" target="_blank">{local:magic($node/node())}</a>{$node/ancestor::LI/text()[matches(., ',\s\d\d\d\d')]}</div>
        case element(B) return <span class="f">F.</span>
        case text() return 
            if( ends-with($node, '(Quelle: ') ) 
            then substring-before($node, '(Quelle: ') 
            else if(starts-with($node,')')) 
            then substring-after($node, ')')
            else if(matches($node, ',\s\d\d\d\d')) then ()
            else $node
        default return local:magic($node/node())
};

<html>
    <head>
        <title>fontane in context</title>
        <style>
            <![CDATA[
            ul {
                list-style: none;
                margin-left: 25%;
                margin-right: calc(100%-450px);
                width: 50%;
            }
            * {
                font-family: 'Source Code Pro';
                text-transform: lowercase;
            }
            li {
                text-indent: -15px;
            }
            #results > li {
                margin-top: 50px;
            }
            #results > li > div {
                position: absolute;
                right: 0;
                width: 25%;
            }
            .f {
                color: grey;
                font-size: 1.45em;
                font-weight: bolder;
            }
            a {
                color: inherit;
                text-decoration: none;
            }
            table {
                margin-left: 25%;
                margin-right: calc(100%-450px);
                width: 50%;
                font-size:0.8em;;
            }
            table ul {
                margin-left: 0;
                width: 100%;
            }
            td:first-child {
                text-align: end;
                vertical-align: top;
            }
            ]]>
        </style>
        <link href='https://fonts.googleapis.com/css?family=Source+Code+Pro:400' rel='stylesheet' type='text/css'/>
    </head>

    <body>
        <div>
            <h1>fontane in context</h1>
            <p>Fontane in der Online-Presse; <a href="http://wortschatz.uni-leipzig.de/cgi-portal/de/wort_www?site=22&amp;Wort_id=3798405&amp;blocknr=0&amp;bl=208">Suchergebnisse</a> von »Projekt Wortschatz«</p>
            <table>
                <tr><td>Wort:</td><td>Fontane</td></tr>
                <tr><td>Anzahl: </td><td>277</td></tr>
                <tr><td>Häufigkeitsklasse: </td><td>15 (d.h. der ist ca. 2^15 mal häufiger als das gesuchte Wort)</td></tr>
                <tr><td>Beschreibung: </td><td>	<ul><li>s. deutscher Schriftsteller</li>
                	<li>märkischer Dichter</li>
                	<li>Verfasser des Romans (ohne Artikel) Effi Briest</li>
                	<li>Verfasser des Romans (ohne Artikel) Irrungen Wirrungen</li>
                	<li>Verfasser des Romans (ohne Artikel) Stechlin</li></ul></td></tr>
                <tr><td>Sachgebiet: </td><td>Nachname</td></tr>
                <tr><td>Morphologie: </td><td>font*an|e</td></tr>
                <tr><td>Grammatikangaben:</td><td>Wortart: Eigenname</td></tr>
                <tr><td>Andere Wörter:</td><td>
                    <ul><li>Grundform: Fontane
                    </li>
                        <li>Teilwort von: <ul><li>Theodor Fontane</li> <li>Martha Fontane</li> <li>Tre Fontane</li> <li>Fontane di Roma</li> <li>Emilie Fontane</li> <li>Fontane Effi Briest</li></ul>
                    </li>
                    <li>Form(en): Fontane</li>
                    </ul></td></tr>
            </table>
        </div>
        <ul id="results">
            {for $li in doc('/db/tmp/wortschatz/wortschatz.xml')//LI return
                element li { local:magic($li) }
            }
        </ul>
        
    </body>
    
</html>